Skip to main content

Invite a project member

POST /v1/projects/me/members
devhttps://api.sandbox.ovok.com

Creates the Practitioner profile + ProjectMembership and sends a magic-link invite email. Admin-only.

Request body

Content-Type: application/json

  • email: string (required)
  • firstName: string
  • lastName: string
  • admin: boolean

Responses

CodeDescription
200Success.
400The request could not be operated by the server.
401The resource owner or authorization server denied the request.
404The requested resource could not be found.
422The request could not be validated by the server.
500The server encountered an unexpected condition. Please try again later.

200MemberResponseDto (application/json)

A team member on the caller’s current project — admin or practitioner.

  • id: string (required) — ProjectMembership resource id.
  • email: string (required)
  • displayName: string (required)
  • firstName: string (required)
  • lastName: string (required)
  • admin: boolean (required)
  • profileType: string (required)
  • profileId: string (required)
  • pending: boolean (required) — True when the user has never completed the invite (no password set yet).
  • invitedAt: string (required) — ISO-8601 timestamp of the invite, or null when not known.